Package org.drinkless.tdlib

# Class TdApi.GiveawayInfoOngoing

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.GiveawayInfo
org.drinkless.tdlib.TdApi.GiveawayInfoOngoing

Enclosing class:
  `TdApi`

public static class TdApi.GiveawayInfoOngoing extends TdApi.GiveawayInfo
Describes an ongoing giveaway.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.GiveawayInfo

  `TdApi.GiveawayInfo.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `creationDate`
  Point in time (Unix timestamp) when the giveaway was created.
  `boolean`
  `isEnded`
  True, if the giveaway has ended and results are being prepared.
  `TdApi.GiveawayParticipantStatus`
  `status`
  Status of the current user in the giveaway.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GiveawayInfoOngoing()`
  Describes an ongoing giveaway.
  `GiveawayInfoOngoing(int creationDate, TdApi.GiveawayParticipantStatus status, boolean isEnded)`
  Describes an ongoing giveaway.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### creationDate

    public int creationDate
    Point in time (Unix timestamp) when the giveaway was created.

  - ### status

    public TdApi.GiveawayParticipantStatus status
    Status of the current user in the giveaway.

  - ### isEnded

    public boolean isEnded
    True, if the giveaway has ended and results are being prepared.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GiveawayInfoOngoing

    public GiveawayInfoOngoing()
    Describes an ongoing giveaway.

  - ### GiveawayInfoOngoing

    public GiveawayInfoOngoing(int creationDate, TdApi.GiveawayParticipantStatus status, boolean isEnded)
    Describes an ongoing giveaway.
    Parameters:
      `creationDate` - Point in time (Unix timestamp) when the giveaway was created.
      `status` - Status of the current user in the giveaway.
      `isEnded` - True, if the giveaway has ended and results are being prepared.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.GiveawayInfo`
    Returns:
      this.CONSTRUCTOR